Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.sitemap
Class AdminAction

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.acting.AbstractAction
              org.apache.cocoon.acting.AbstractConfigurableAction
                  org.apache.cocoon.acting.ConfigurableServiceableAction
                      fr.gouv.culture.sdx.sitemap.AdminAction

All Implemented Interfaces:
  org.apache.avalon.framework.component.Component, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.thread.ThreadSafe, org.apache.cocoon.acting.Action

    public class AdminAction

extends org.apache.cocoon.acting.ConfigurableServiceableAction
implements org.apache.avalon.framework.thread.ThreadSafe

Field Summary

Fields inherited from class org.apache.cocoon.acting.ConfigurableServiceableAction
`manager`

Fields inherited from class org.apache.cocoon.acting.AbstractConfigurableAction
`settings`

Fields inherited from class org.apache.cocoon.acting.AbstractAction
`EMPTY_MAP`

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`AdminAction()`

Method Summary
`java.util.Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String source, org.apache.avalon.framework.parameters.Parameters params)`

Methods inherited from class org.apache.cocoon.acting.ConfigurableServiceableAction
`service`

Methods inherited from class org.apache.cocoon.acting.AbstractConfigurableAction
`configure`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminAction

    public AdminAction()

Method Detail

### act

    public java.util.Map act(org.apache.cocoon.environment.Redirector redirector,
                             org.apache.cocoon.environment.SourceResolver resolver,
                             java.util.Map objectModel,
                             java.lang.String source,
                             org.apache.avalon.framework.parameters.Parameters params)
                      throws org.apache.avalon.framework.component.ComponentException

  Specified by:
    `act` in interface `org.apache.cocoon.acting.Action`
  Throws:
    `org.apache.avalon.framework.component.ComponentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.